package com.yihu.wlyy.entity.follow;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.wlyy.entity.IdEntity;

/**
 * 随访计划模板表
 * @author George
 *
 */
@Entity
@Table(name = "wlyy_followup_template_plan")
public class FollowUpTemplatePlan extends IdEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = -8066223279215991845L;

	// 计划标识
	private String code;
	// 标题/随访计划名称
	private String title;
	// 医生标识
	private String doctor;
	// 随访模板阶段内容
	private String stages;
	// 添加时间
	private Date czrq;

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getDoctor() {
		return doctor;
	}

	public void setDoctor(String doctor) {
		this.doctor = doctor;
	}

	public String getStages() {
		return stages;
	}

	public void setStages(String stages) {
		this.stages = stages;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	public Date getCzrq() {
		return czrq;
	}

	public void setCzrq(Date czrq) {
		this.czrq = czrq;
	}

}
